<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="res_config_settings_view_form_inherit_batch_custom" model="ir.ui.view">
        <field name="name">res.config.settings.view.form.stock.picking.batch.custom</field>
        <field name="model">res.config.settings</field>
        <field name="inherit_id" ref="stock.res_config_settings_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//app[@name='stock']/block[@name='operations_setting_container']" position="inside">
                <setting id="batch_product_summary_restrictions" string="Batch Product Summary Restriction">
                    <field name="batch_summary_restriction_enabled"/>
                    <div class="content-group" invisible="not batch_summary_restriction_enabled">
                        <div class="mt8">
                            <label for="batch_summary_restriction_scope"/>
                            <field name="batch_summary_restriction_scope"/>
                        </div>
                    </div>
                    <div class="text-muted">
                        Configuración de restricciones para la pestaña Product Summary.
                    </div>
                </setting>

                <setting id="batch_detailed_operations_restrictions" string="Batch Detailed Operations Restriction">
                    <field name="batch_detailed_restriction_enabled"/>
                    <div class="content-group" invisible="not batch_detailed_restriction_enabled">
                        <div class="mt8">
                            <label for="batch_detailed_restriction_scope"/>
                            <field name="batch_detailed_restriction_scope"/>
                        </div>
                    </div>
                    <div class="text-muted">
                        Configuración de restricciones para la pestaña Operaciones Detalladas.
                    </div>
                </setting>
            </xpath>
        </field>
    </record>
</odoo>
